# $Id: Makefile,v 1.2 2006-10-20 03:52:13 price Exp $

PDFLATEX = env TEXINPUTS=../../latex/inputs:$(TEXINPUTS):.: pdflatex
PSLATEX  = env TEXINPUTS=../../latex/inputs:$(TEXINPUTS):.: latex

help:
	@echo "USAGE: make (target)"
	@echo "  targets: all"

all : config.pdf

CONFIG_FILES = \
	config.tex

config.pdf: $(CONFIG_FILES)

%.pdf: %.tex
	$(PDFLATEX) $*.tex 
	$(PDFLATEX) $*.tex 
	@rm -f $*.ps $*.dvi $*.aux $*.log $*.tbr $*.tbd $*.tpm  $*.lof $*.toc body.tmp head.tmp

clean :
	$(RM) *.log *.dvi *.aux *.toc *.tbd *.tbr *.tpm *.lof *.out *~ core body.tmp head.tmp

dist : clean
	$(RM) *.pdf

empty : clean

